Delete an Entity

Last update: September 10, 2026
•
1 min to read

Delete one or more entities from a specified entity.

HTTP Method

POST

Endpoint

/api/data/write/DeleteDataWriter

Request URL

{Base URL}/api/data/write/DeleteDataWriter

Sample Request

{
  "EntityName": "Investigation",
  "Ids": [1, 2]
}

Parameters

Param NameData TypeDescription
EntityNameStringName of the entity type (for example, Investigation)
IdsIntegerList of entity IDs to delete (for example, [1, 2]).

Curl Example

Multi-line format (for readability)

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/data/write/DeleteDataWriter" \
     -H "Content-Type: application/json" \
     -d '{
       "EntityName": "Investigation",
       "Ids": [1, 2]
     }'

Single-line format (for terminal use)

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/write/DeleteDataWriter" -H "Content-Type: application/json" -d "{\"EntityName\":\"Investigation\",\"Ids\":[1,2]}"

Sample Responses

Status code 2XX indicates a successful request and response.

200 OK

Description: Operation succeeded

Response Body:

{"ID":0}